std::stop_token::stop_requested(3)

NAME
std::stop_token::stop_requested - std::stop_token::stop_requested

Synopsis
   [[nodiscard]] bool stop_requested() const noexcept; (since C++20)
   Checks if the stop_token object has associated stop-state and that state has
   received a stop request. A default constructed stop_token has no associated
   stop-state, and thus has not had stop requested.

Parameters
   (none)

Return value
   true if the stop_token object has associated stop-state and it received a stop
   request, false otherwise.

Example
    This section is incomplete
    Reason: no example